:root {
    --border-radius: calc((.375rem + 3px) / 2);
}

/*::::::::::::::::::::::::::::::::::{ EDXML: ANCHORS & LINKS }::::::::::::::::::::::::::::::::*/
.column-anchor,
.anchor {
    text-decoration: none;
}

.column-anchor,
.anchor {
    color: var(--theme-color-dark);
}



/*::::::::::::::::::::::::::::::::::{ EDXML: FACSIMILE }::::::::::::::::::::::::::::::::*/
/*----------------------------------{ FACSIMILE }--------------------------------*/
.facsimile,
.section {
    margin: 0em 0em;
}


/*----------------------------------{ SURFACES }--------------------------------*/
.surface {
    margin-bottom: 50px;
}


/*----------------------------------{ COLUMNS }--------------------------------*/
div.column {
    margin-bottom: .8em;
}

.column .head .col-nr::before {
    content: attr(data-roman-n);
}


/*::::::::::::::::::::::::::::::::::{ LINE-LEVEL }::::::::::::::::::::::::::::::::*/
.surface .line,
.surface .note {
    line-height: 1.65em;
    margin-bottom: 0.5em;
}

.surface .notes-container {
    margin-top: -.5em;
}

/*----------------------------------{ LINES }--------------------------------*/
.line {
    clear: both;
    overflow: auto;
    padding-left: 4.2em; /* hanging indent */
    text-indent: -4.2em; /* hanging indent */
}

.line-body {
    font-style: italic;
}

.line-container {
    width: 100%;
}

.line-container:has(.notes-icon ~ input[type=checkbox]:checked),
.line-container:hover {
    background-color: var(--theme-color-light-bg);
    border-radius: var(--border-radius);
}

.line-container:hover .line-nr {
    background-color: var(--theme-color-light);
    border-radius: var(--border-radius);
    color: var(--theme-color-dark);
}

.line-nr {
    display: inline-block;
    min-width: 4em;
}

.line-nr { 
    font-family: var(--tech-font);
    font-size: smaller;
    text-align: right;
    margin-right: 1em;
    padding: 0 .3em;
    color: var(--theme-color-light);
}

.line-nr.calculated {
    color: lightgray;
    display: none;
}

/*::::::::::::::::::::::::::::::::::{ PARTS & SEGMENTS }::::::::::::::::::::::::::::::::*/
/*----------------------------------{ SEGMENTS }--------------------------------*/
span.seg.corresp-hovered {
    /* background-color: rgba(165, 42, 42, 0.150); */
    /* background-color: rgba(0, 57, 103, 0.150); */
    background-color: var(--theme-color-dark);
    border-radius: min(var(--border-radius), 3px);
    color: white !important;
}

/*----------------------------------{ METAMARKS }--------------------------------*/

hr.metamark-line::before {
    color: var(--theme-color-light);
    background: inherit;
    font-family: var(--tech-font);
    padding: 0 .3em 0 0;
    position: absolute;
}

hr.metamark-line {
    border-width:0;
    display: block;
    margin:0 0 45px 0;
}

hr.metamark-line.line {
    border-top:1px solid var(--theme-color-light);
    height:4px;
}

hr.metamark-line.doubleLine {
    border-bottom:1px solid var(--theme-color-light);
    border-top:1px solid var(--theme-color-light);
    height:4px;
}

/*::::::::::::::::::::::::::::::::::{ EDXML: PHILOLOGY }::::::::::::::::::::::::::::::::*/
.unit-container {
    align-items: center;
    display: flex;
    flex-direction: row;
}

.unit-container > .section-tab {
    width: 50%;
}

.section-tab + .section-tab {
    border-left: solid 1px var(--theme-color-light);
    padding-left: 5px;
}

.section-tab:has(+ .section-tab) {
    border-right: solid 1px var(--theme-color-light);
    margin-right: -1px;
    padding-right: 5px;
}

.section-tab.notes {
    flex-basis: 1.5em;
    flex-grow: 0;
    flex-shrink: 0;
    overflow-x: hidden;
}

/*----------------------------------{ STANZA }--------------------------------*/
:not(.stanza > fieldset) > .verse {
    padding: 0 1.5px;
}

.stanza > fieldset {
    border-color: var(--theme-color-light);
    border-radius: var(--border-radius);
    border-style: solid;
    border-width: 1.5px;
    margin: 0;
    margin-bottom: 1.65em;
    padding: 0;
}

.stanza > fieldset .transcription {
    padding-left: 5px;
}

.stanza > fieldset > .verse:last-child {
    margin-bottom: 0 !important;
}

.stanza > fieldset > legend {
    color: var(--theme-color-light);
    font-size: smaller;
    margin-left: 5px;
    padding-left: 5px;
    padding-right: 5px;
}

/* hide stanza styling */
.stanza > fieldset { border: none !important; }
.stanza > fieldset > legend { display: none !important; }

/*----------------------------------{ VERSE }--------------------------------*/
.philology .verse {
    margin-bottom: 1.65em;
}

/*----------------------------------{ UNIT }--------------------------------*/
.philology .unit {
    line-height: 1.65em;
    margin-bottom: 0.5em;
}

.philology .unit:has(.notes-icon ~ input[type=checkbox]:checked),
.philology .unit:hover {
    background-color: var(--theme-color-light-bg);
    border-radius: var(--border-radius);
}


.philology .unit .head {
    display: inline-block;
    /* display: none; */
}

.philology .unit .head.hide {
    display: none;
}

.philology .unit .anchor .unit-nr::before {
    margin-left: 10px;
    content: attr(data-n);
    display: none;
}


.philology .unit .anchor .unit-count {
    margin-left: 10px;
}

/*---------------------------------{ TRANSCRIPTION }------------------------------*/

.transcription {
    font-style: italic;
}


/*---------------------------------{ TRANSLATION }------------------------------*/

.translation[data-lang="en"] {
    display: none;
}


/*----------------------------------{ LINEBREAKS }--------------------------------*/
.lb {
    color: var(--theme-color-light);
    font-family: var(--tech-font);
    font-size: smaller;
    font-style: normal;
    line-height: 1.5;
    vertical-align: super;
}

.lb:before {
    margin-right: .1em;
}

.lb:after {
    margin-left: .1em;
}

/*----------------------------------{ PHRASES }--------------------------------*/
.phr {

}

/*----------------------------------{ HIGHLIGHTINGS }--------------------------------*/

.bold {
    font-weight: bold;
}

.italic {
    font-style: italic;
}

.small-caps {
    font-variant: small-caps;
}

.super {
    font-size: smaller;
    line-height: 0;
    vertical-align: super;
}

.underline {
    text-decoration: underline;
}


/*----------------------------------{ ITEMS }--------------------------------*/
/*.item {
    vertical-align: top;

}*/

.item {
    border: 0px solid var(--theme-color-dark);
    border-radius: min(var(--border-radius), 3px);
}

.item:not(:first-child) .value {
    text-align: center;
}

/*----------------------------------{ ITEMS: WORDS }--------------------------------*/

.item.w.corresp-hovered {
    background-color: var(--theme-color-dark);
    color: white;
}

/*----------------------------------{ ITEMS: DISPLAY Annotations }--------------------------------*/

/* Old approach (disabled for now with `display: none !important`): */

.unit-container .annotations {
    display: none !important;
}

.unit-container .annotations {
    display: none;
    font-style: normal;
    height: 0;
    opacity: 0;
    overflow: hidden;
    visibility: hidden;
}

.unit-container:focus-within .annotations {
    display: block;
    height: auto;
    opacity: 1;
    transition-delay: 1s;
    transition-property: visibility, opacity;
    visibility: visible;
}

/*.unit-container:has(.annotations > input[type=radio]:checked):focus-within {
    align-items: start !important;
}*/

.annotations .annotation {
    background-color: var(--theme-color-dark);
    border-radius: var(--border-radius);
    color: white;
}

.annotations .annotation > * {
    display: block;
    padding: 0 .3em ;
}

.annotations .annotation > span:hover {
    background-color: var(--theme-color-light);
    color: var(--theme-color-dark);
}

.annotations > input[type=radio] {
    display: none;
}

.annotations > input[type=radio] + .annotation {
    display: none;
}

.annotations > input[type=radio]:checked + .annotation {
    display: block;
}

/* New approach: */

.ling_information {
    background-color: var(--theme-color-dark);
    border-radius: var(--border-radius);
    color: white;
    display: none;
    font-size: smaller;
    font-style: normal;
    left: 0;
    padding: 0 .25em;
    position: absolute;
    top: 1.75em;
    white-space: nowrap;
    z-index: 1;
}
  
.ling_information > span {
    display: block;
    line-height: 1.65em;
}

.word_container {
    position: relative;
}

.word_container .item.w {
    display: inline-block;
}

.word_container:focus-within .item.w {
    background-color: var(--theme-color-dark);
    color: white;
}

.word_container:focus-within .ling_information {
    display: block;
}

/*----- NOTES -----*/

.line-container span:has(> .notes-icon) {
    float: right;
    margin-left: .5em;
    text-indent: 0;
}

.notes-icon ~ input[type=checkbox] {
    display: none;
}

.notes-icon::after {
    color: var(--theme-color);
    content: "\F0185";
    cursor: pointer;
    font-family: "Material Design Icons";
}

.notes-icon:has(~ input[type=checkbox]:checked)::after {
    content: "\F0189";
}

.notes-container {
    display: none;
    font-size: 87.5%;
    margin-left: 1.25em;
    margin-right: 0.25em;
}

.line-container:has(.notes-icon ~ input[type=checkbox]:checked) > .notes-container,
.unit-container:has(.notes-icon ~ input[type=checkbox]:checked) ~ .notes-container {
    display: block;
}

.notes-container input[type=checkbox] {
    display: none;
}

.notes-container label {
    cursor: pointer;
}

.notes-container > ul {
    list-style: none;
    margin-bottom: .5em;
    margin-left: -1.5em;
    margin-top: 1em;
    text-indent: -0.5em;
    padding-bottom: 1em;
    padding-left: 1.2em;
}

.note-item:first-child:last-child > input[type=checkbox]:checked ~ span,
.note-item:not(:first-child:last-child) > input[type=checkbox]:not(:checked) ~ span {
    display: none;
}

.note-item {
    text-align: justify;
}

.note-item:not(:first-child) {
    margin-top: 1em;
}

.note-item > button {
    background: var(--theme-color) !important;
    border-radius: var(--border-radius);
    box-sizing: content-box;
    color: white;
    cursor: default;
    height: 1em;
    line-height: 0;
    padding: .285em 8px;
    position: relative;
    top: -0.1em;
    vertical-align: middle;
}

.note-item > button::before {
    content: none !important;
}

.note-item label:has(.super) {
    /* make button text with superscript look vertically centered */
    position: relative;
    top: -0.125em;
}

.note-item label > .noteType {
    font-variant: small-caps;
}

.note-item label > .noteType::after {
    content: ": "
}

.note-item > span::before {
    content: " ";
}

.note-item > span > p {
    margin: 0;
    margin-top: 0.5em;
    padding: 0;
    text-indent: 0;
}

.note-item > span > p:first-child {
    display: inline;
    margin-top: 0;
}

.note-item > span .lb {
    line-height: 0;
}

/*----------------------------------{ NOTES: TEXTBLOCK }--------------------------------*/

.textBlock {
    font-style: italic;
}

/*::::::::::::::::::::::::::::::::::{ TEI: Transcriptional }::::::::::::::::::::::::::::::::*/

.scribal {
    font-style: normal;
}

.tei {
    font-style: normal;
}
